﻿##############################################################################
# Initialisation du jeu
##############################################################################


# Splashscreen => présentation de l'auteur et affichage évenutel de l'écran "première fois" (qui permet de choisir la langue et donner un rapide how-to si besoin)
label splashscreen:

    scene expression Solid("#000")
    show commun korova at truecenter
    show expression Text( _("Korova présente"), font="gui/fonts/LS-Bold.otf", size=30, xalign=0.5, yalign= 0.75, color="#fff")
    with dissolve
    pause 3.0

    # Si c'est la première fois que le joueur ouvre le visual novel, on lui propose un mode d'emploi
    if persistent.dejavu == False:
        $ persistent.dejavu = True

        # affichage du fond
        scene titre fond clairobscur
        #show legende accueil
        call screen premiere_fois
        # En fonction du choix réalisé dans le screen, on va aller vers la présentation basique
        # ou revenir ici, et donc passer à l'écran d'accueil (main menu)


    return


##############################################################################
# Le jeu commence ici
label start:
    # On indique que la lecture a été commencée au moins une fois
    $ persistent.dejavu = True
    # On va chercher l'histoire
    jump expression "histoire_" + histoire

#--------------------------------------------------------------------------------------------------
# Fin de l'histoire (on remercie le lecteur pour avoir lu)
label fin:
    scene expression Solid("#000") with dissolve
    $ greeting = _("Merci d'avoir lu !")
    show expression Text("[greeting!t]",size=30) at truecenter
    stop music fadeout 5.0
    pause 5.0

    return

#--------------------------------------------------------------------------------------------------
# Si le lecteur est là pour la première fois, on lui propose quelques explications
# s'il n'est pas familier avec le système du VN

label howto:
    scene expression Solid("#000") with dissolve

    n "(Cliquez ou appuyez sur espace pour avancer.)"
    n "\nVous allez lire un Visual Novel. Dans ce cas, il s'agit d'un récit multimédia (texte + images + musique et effets sonores)"
    n "Pour faire défiler le texte, il vous suffit de cliquer avec le bouton gauche de la souris ou d'appuyer sur la touche espace."
    show fleche:
        xpos 1035
        ypos 538
    n "Si vous désirez que l'histoire avance automatiquement, sans intervention de votre part, vous pouvez utiliser la fonction d'avance automatique, en bas à droite de l'écran."
    show fleche:
        #xpos 1035
        ypos 585
    n "La vitesse de défilement du texte peut être modifiée dans le menu des réglages, acessible à partir de l'icône des options. Vous pouvez également modifier le volume de la musique et des effets sonores."
    show fleche:
        #xpos 1035
        ypos 517
    n "Cette introduction n'est accessible qu'à la première lecture. Pour en savoir plus sur les fonctionnalités du logiciel, utilisez désormais l'icône d'aide."
    hide fleche

    # Ce passage est spécifique à Clair Obscur
    n "\n\nNote : au début de cette histoire, le son est constitué d'interférences radio et le texte de lettres aléatoires. CECI N'EST PAS UN BUG.{w} Avancez un peu dans la lecture, vous allez comprendre... ;-)"

    nvl clear

    centered "Bonne lecture !"

    # Penser à effacer l'écran !
    nvl clear

    # On indique que cet écran a été lu
    $ persistent.dejavu = True
    # On peut désormais afficher l'écran d'accueil
    return
