#################################################################################################
##     Définition des éléments spécifiques au jeu
## (Image, fonctions, transforms, variables, personnages, ...)
#################################################################################################

# IMAGES

#================================================================================================
#Images de fond
image fond histoire = Solid("#000")


#================================================================================================
#Images de l'histoire

#simulation d'ecg (en fonctionnement)
image ecg ligne = im.Tile("images/clairobscur/ecg.png", size=(config.screen_width,200))


# masque pour simuler un oscilloscope
# d représente la durée de traversée de l'écran (cinq secondes par défaut)
# y représente la position verticale du masque (0.0 pour le haut, 1.0 pour le bas, position par défaut)
transform oscillo(d=5.0, y=1.0, debut=1.0, fin=0.0):
    yalign y
    block:
        xalign debut 
        linear d xalign fin
        repeat
        
    
transform oscillo_h(d=5.0):
    xalign 1.0 yalign 0.0
    linear d xalign 0.0
    repeat

image anniversaire1:
    "clairobscur anniversaire"
    linear 2.0 alpha 0.0

image anniversaire2:
    "clairobscur anniversaire deforme"
    alpha 0.0
    ypos 242
    parallel:
        linear 2.0 alpha 1.0
    parallel:
        linear 2.5 ypos 0
        
image clairobscur anniversaire anim:
    contains:
        "anniversaire1"
    contains:
        "anniversaire2"
    
image clairobscur lampe anim:
    "clairobscur lampe" 
    "clairobscur lampe masque" with Dissolve (3.0)
    pause 3.0
    "clairobscur lampe" with Dissolve (1.0)
    pause 2.0
    contains:
        "clairobscur lampe masque" 
        pause 0.08
        "clairobscur lampe"
        pause 1.0
        "clairobscur lampe masque"
        pause 0.08
        "clairobscur lampe"
        pause 1.5
        "clairobscur lampe masque"
        pause 0.13
        "clairobscur lampe"
        pause 0.8
        repeat
        
image clairobscur chambre1:
    "clairobscur chambre"
    "clairobscur chambre deforme1" with Dissolve(5.0)
    8.0
    block:
        "clairobscur chambre deforme2"
        0.1
        "clairobscur chambre deforme1"
        3.0
        "clairobscur chambre deforme2"
        0.1
        "clairobscur chambre deforme1"
        4.5
        "clairobscur chambre deforme2"
        0.2
        "clairobscur chambre deforme1"
        0.5
        "clairobscur chambre deforme2"
        0.1
        "clairobscur chambre deforme1"
        3.0
        repeat

image clairobscur chambre2:
    "clairobscur chambre deforme1"
    "clairobscur chambre deforme2" with Dissolve(5.0)
    8.0
    block:
        "clairobscur chambre deforme1"
        0.1
        "clairobscur chambre deforme2"
        3.0
        "clairobscur chambre deforme1"
        0.1
        "clairobscur chambre deforme2"
        4.5
        "clairobscur chambre deforme1"
        0.2
        "clairobscur chambre deforme2"
        0.5
        "clairobscur chambre deforme1"
        0.1
        "clairobscur chambre deforme2"
        3.0
        repeat        

image clairobscur mere interference:
    "clairobscur mere"
    "clairobscur mere deforme"
    0.2
    "clairobscur mere"
    choice:
        1.1
    choice:
        3.2
    choice:
        2.2
    repeat
    
image clairobscur mere numerique:
    "clairobscur mere deforme"
    "clairobscur mere"
    0.2
    "clairobscur mere deforme"
    choice:
        1.1
    choice:
        3.2
    choice:
        2.2
    repeat 4

image clairobscur amour anim:
    contains:
        "clairobscur amour"
        xalign 1.0
        parallel:
            linear 2.0 zoom 1.7
        parallel:
            linear 2.0 ypos 250 xalign 0.85
        1.5
        linear 1.0 alpha 0.0
    contains:
        "clairobscur amour deforme"
        alpha 0.0
        1.8
        linear 1.5 alpha 1.0

image clairobscur soudeur explose:
    "clairobscur soudeur deforme"
    0.1
    anchor (235,521)
    xpos 235
    yoffset -91
    transform_anchor True
    easein 1.0 zoom 5.0 
    alpha 0.0
    
image clairobscur porte diminue:
    "clairobscur porte2"
    easein 8.0 zoom 0.3
    
image clairobscur voiture arrive:
    "clairobscur voiture"
    xalign 0.0
    xoffset -300
    linear 2.0 xoffset 0
    
image clairobscur voiture anim:
    "clairobscur voiture bouge"
    block:
        linear 2.5 xoffset 1200
        2.5
        xoffset -547
        repeat

#------------------------------------------------------------------------------------------------
# Animation pour texte défilant (quand le sujet se met en "boucle" au départ)



image boucle1 = ConditionSwitch("_preferences.language=='en'",Text("ajvsinðɪsrumbəfɔr ðɪsrum ajvsin ajvsin ðɪsrum ðɪsrum ðɪsrum ðɪsrum ðɪsrum ajvsin ajvsin ajvsin sinðɪsrum jvsinðɪs bəfɔr bəfɔr bəfɔr ðɪsrum ðɪsrum ðɪsrum rumbəfɔr rumbəfɔr rumbəfɔr rum rum rum rum ðɪsrum ðɪsrum ajvsinðɪsrumbəfɔr ajvsin ajvsin sinðɪs ajvsinðɪsrum sinðɪs sinðɪs ðɪsrum ðɪsrum ðɪsrum rum rum ðɪsrum ðɪsrum sinðɪs sinðɪs sinbəfɔr sinbəfɔr sinbəfɔr ajvsinðɪsrumbəfɔr rumbəfɔr rumbəfɔr",style="fonetik", xsize=300, ysize=400, slow_cps=80, slow_done=True),"_preferences.language==None",Text("ʒedeʒavysɛtpjɛs sɛtpjɛs deʒavy deʒavy sɛtpjɛs sɛtpjɛs sɛtpjɛs sɛtpjɛs sɛtpjɛs ʒedeʒa ʒedeʒa ʒedeʒa vysɛtpjɛs ʒedeʒavysɛt deʒavysɛt deʒavysɛt pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs sɛtpjɛs sɛtpjɛs ʒedeʒavysɛtpjɛs ʒedeʒa ʒedeʒa ʒedeʒavy ʒedeʒavysɛt vysɛt vysɛt sɛtpjɛs sɛtpjɛs sɛtpjɛs pjɛs pjɛs sɛtpjɛs sɛtpjɛs vysɛt vysɛt deʒavy deʒavy deʒavy ʒedeʒavysɛtpjɛs ʒedeʒ ʒedeʒ",style="fonetik", xsize=300, ysize=400, slow_cps=80, slow_done=True))

image boucle2 = ConditionSwitch("_preferences.language=='en'",Text("sinbəfɔr sinbəfɔr ðɪsrum ðɪsrum ðɪsrum ðɪsrum ðɪsrum ðɪsrum ðɪsrum ðɪsrum sinðɪsrum ajvsinðɪsrum sinðɪsrum sinðɪsrum rum rum rum rum rum rum rum rum rum rum rum rum rum ðɪsrum ðɪsrum ajvsinðɪsrumbəfɔr ajvsin ajvsin ajvsinðɪsrumbəfɔr sinbəfɔr sinbəfɔr ðɪsrum ðɪsrum rum rum rum ðɪsrum ðɪsrum sinðɪs sinðɪs ajvsinðɪs ajvsinðɪs ajvsinðɪsrumbəfɔr ajvsin ajvsin ajvsinðɪsrumbəfɔr ðɪsrum",style="fonetik", xsize=300, ysize=400, slow_cps=80),"_preferences.language==None",Text("deʒavy deʒavy sɛtpjɛs sɛtpjɛs sɛtpjɛs sɛtpjɛs sɛtpjɛs ʒedeʒa ʒedeʒa ʒedeʒa vysɛtpjɛs ʒedeʒavysɛt deʒavysɛt deʒavysɛt pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs sɛtpjɛs sɛtpjɛs ʒedeʒavysɛtpjɛs ʒedeʒa ʒedeʒa ʒedeʒavy ʒedeʒavysɛt vysɛt vysɛt sɛtpjɛs sɛtpjɛs sɛtpjɛs pjɛs pjɛs sɛtpjɛs sɛtpjɛs vysɛt vysɛt deʒavy deʒavy deʒavy ʒedeʒavysɛtpjɛs ʒedeʒ ʒedeʒ ʒedeʒavysɛtpjɛs sɛtpjɛs",style="fonetik", xsize=300, ysize=400, slow_cps=80, slow_done=True))

image boucle3 = ConditionSwitch("_preferences.language=='en'",Text("rum rum rum rum rum rum rum ðɪsrum ðɪsrum ajvsinðɪsrumbəfɔr ajvsin ajvsin ajvsinðɪs ajvsinðɪsrum sinðɪs sinðɪs ðɪsrum ðɪsrum ðɪsrum rum rum rum rum ðɪsrum ðɪsrum sinðɪs sinðɪs ajvsinðɪs ajvsinðɪs ajvsinðɪsrumbəfɔr rumbəfɔr rumbəfɔr ajvsinðɪsrum ðɪsrum ajvsin ajvsin ðɪsrum ðɪsrum ðɪsrum ðɪsrum ajvsin ajvsin ajvsin sinðɪsrum sinðɪsrum sinðɪs sinðɪs ajvsinðɪsrum rum rum rum rum rum",style="fonetik", xsize=300, ysize=400, slow_cps=80),"_preferences.language==None",Text("pjɛs pjɛs pjɛs pjɛs pjɛs pjɛs sɛtpjɛs sɛtpjɛs ʒedeʒavysɛtpjɛs ʒedeʒa ʒedeʒa ʒedeʒavy ʒedeʒavysɛt vysɛt vysɛt sɛtpjɛs sɛtpjɛs sɛtpjɛs pjɛs pjɛs sɛtpjɛs sɛtpjɛs vysɛt vysɛt deʒavy deʒavy deʒavy ʒedeʒavysɛtpjɛs ʒedeʒ ʒedeʒ ʒedeʒavysɛtpjɛs sɛtpjɛs deʒavy deʒavy sɛtpjɛs sɛtpjɛs sɛtpjɛs sɛtpjɛs sɛtpjɛs ʒedeʒa ʒedeʒa ʒedeʒa vysɛtpjɛs ʒedeʒavysɛt deʒavysɛt deʒavysɛt pjɛs pjɛs pjɛs pjɛs",style="fonetik", xsize=300, ysize=400, slow_cps=80))

image histoire repetition:
    "boucle1"
    3.5
    "boucle2"
    3.5
    "boucle3"
    3.5
    repeat

    

image clairobscur place anim:
   "clairobscur place zoom"
   #xalign 0.0
   #xalign 0.0
   #xoffset -126
   yoffset -85
   alpha 0.0
   linear 0.7 alpha 1.0
   0.3
   parallel:
       linear 5.0 zoom 0.41727
   parallel:
       linear 5.0 xoffset 0 yoffset 0
       
   "clairobscur place"
   zoom 1.0

image clairobscur sejour pixel:
    "clairobscur sejour"
    "clairobscur sejour deforme" with pixellate
    
image clairobscur place incendie:
    contains:
        "clairobscur place"
        alpha 1.0
        block:
            linear 3.0 alpha 0.2
            easein 2.0 alpha 0.9
            easeout 2.0 alpha 0.2
            linear 1.5 alpha 0.8
            repeat
    contains:
        "clairobscur place deforme"
        alpha 0.0
        1.0
        block:
            linear 3.0 alpha 0.6
            easein 2.0 alpha 0.1
            easeout 2.0 alpha 0.7
            linear 1.5 alpha 0.2
            repeat
        
image allumer briquet:
    "clairobscur bougie briquet"
    alpha 0.0
    easein 0.15 alpha 1.0
    easeout 0.75 alpha 0.0

# Animation feu d'artifice    
image feu artifice:
    time 1.6
    "clairobscur artifice un"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0

    time 4.6
    "clairobscur artifice deux"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0

    time 6.8
    "clairobscur artifice dixhuit"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0

    time 8.1
    "clairobscur artifice trois"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0
    
    time 9.1
    "clairobscur artifice quatre"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0

    time 10.9
    "clairobscur artifice cinq"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0
    
    time 11.9
    "clairobscur artifice six"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0

    time 13.5
    "clairobscur artifice dix"
    alpha 0.0
    easein 0.7 alpha 1.0
    0.6
    easeout 0.7 alpha 0.0
    
    time 16.6
    "clairobscur artifice sept"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0
    
    time 17.9
    "clairobscur artifice quatorze"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.4
    easeout 0.4 alpha 0.0

    time 17.9
    "clairobscur artifice huit"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.4
    easeout 0.4 alpha 0.0

    time 19.7
    "clairobscur artifice douze"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0
    
    time 21.5
    "clairobscur artifice onze"
    alpha 0.0
    easein 0.8 alpha 1.0
    0.7
    easeout 0.8 alpha 0.0

    time 24.6
    "clairobscur artifice neuf"
    alpha 0.0
    easein 1.1 alpha 1.0
    2.6
    easeout 1.1 alpha 0.0

    time 30.3
    "clairobscur artifice six"
    alpha 0.0
    easein 1.5 alpha 1.0
    0.5
    easeout 1.5 alpha 0.0

    time 34.2
    "clairobscur artifice deux"
    alpha 0.0
    easein 0.35 alpha 1.0
    0.1
    easeout 0.35 alpha 0.0
    
    time 35.0
    "clairobscur artifice quinze"
    alpha 0.0
    easein 0.8 alpha 1.0
    0.8
    easeout 0.8 alpha 0.0
    
    time 38.1
    "clairobscur artifice trois"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.3
    easeout 0.4 alpha 0.0

    time 39.7
    "clairobscur artifice six"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.3
    easeout 0.4 alpha 0.0

    time 41.6
    "clairobscur artifice dix"
    alpha 0.0
    easein 0.9 alpha 1.0
    0.6
    easeout 0.9 alpha 0.0

    time 44.4
    "clairobscur artifice dixsept"
    alpha 0.0
    easein 0.3 alpha 1.0
    0.2
    easeout 0.3 alpha 0.0

    time 45.2
    "clairobscur artifice treize"
    alpha 0.0
    easein 0.8 alpha 1.0
    0.9
    easeout 0.8 alpha 0.0

    time 48.3
    "clairobscur artifice seize"
    alpha 0.0
    easein 0.4 alpha 1.0
    0.2
    easeout 0.4 alpha 0.0

    time 49.7
    "clairobscur artifice un"
    alpha 0.0
    easein 0.3 alpha 1.0
    0.2
    easeout 0.3 alpha 0.0

image clairobscur bougie rallume:
    "clairobscur bougie onze"
    3.0
    "clairobscur bougie douze" with Dissolve(1.0)
    1.5
    linear 2.0 alpha 0.0
    
# Bougie avec flamme clignotante    
image clairobscur bougie clignote:
    "clairobscur bougie quatre"
    block:
        "clairobscur bougie cinq" with dissolve
        0.65
        "clairobscur bougie six" with dissolve
        0.65
        "clairobscur bougie sept" with dissolve
        0.65
        repeat
        
        

    
#################################################################################################        
# Personnages spécifiques à l'histoire

style co:
    font "gui/fonts/LS-Bold.otf"
    color "#fff"

# Définition d'un modèle de personnage, dont les autres seront dérivés    
define nvl_co = Character(None, kind=nvl, what_style="co")

# narrateur par defaut
define n = Character(None, kind=nvl_co)
# Personnages pour le narrateur
#      personnage pour les images situées  à gauche
define g = Character(None, kind=nvl_co, window_left_padding = 400)
#      personnage pour les images situées  à droite
define d = Character(None, kind=nvl_co, window_right_padding = 400)
#      personnage pour le moment où il y a deux images à la fois à l'écran (éro + homme/femme)
define m = Character(None, kind=nvl_co, window_right_padding = 350, window_left_padding = 350)



# Personnages des assistants de recherche et du professeur

style assist:
    font "gui/fonts/LS-Regular.otf"
    size 16
    color "#bbb"
    
# Définition d'un modèle de personnage, dont les autres seront dérivés 
define nvl_assist = Character(None, kind=nvl, what_style="assist", window_right_padding = 300, window_left_padding = 300)

# Police de taille inférieure et moins grasse - encadrement coloré et cabalistique (différent pour chaque interlocuteur)
define a1 = Character(None, kind=nvl_assist, what_prefix = "{font=gui/fonts/LS-Bold.otf}{color=#fef86c}-#§| {/color}{/font}", what_suffix = " {font=gui/fonts/LS-Bold.otf}{color=#fef86c} ¡&@>{/color}{/font}")
define a2 = Character(None, kind=nvl_assist,  what_prefix = "{font=gui/fonts/LS-Bold.otf}{color=#C0FF40}<€¿! {/color}{/font}", what_suffix = " {font=gui/fonts/LS-Bold.otf}{color=#C0FF40} ]ß±»{/color}{/font}")
define pr = Character(None, kind=nvl_assist,  what_prefix = "{font=gui/fonts/LS-Bold.otf}{color=#ff4040}=+£[[ {/color}{/font}", what_suffix = " {font=gui/fonts/LS-Bold.otf}{color=#ff4040} }%©-{/color}{/font}")

#################################################################################################      
# styles et fonctionnalités diverses

# Style pour avoir les caractères de l'alphabet phonétique
style fonetik:
    font "gui/fonts/lsansuni.ttf"

# Style pour écriture "psychedelique" (quand le sujet est tranquilisé)    
style psychedelik:
    font "gui/fonts/SouthPacific.ttf"

# alias pour transition "dissolve" plus long    
define longdissolve = Dissolve(1.5)
